<?php

	$session = $this->getSession();
	$registry = $this->getRegistry();

	// appel fichier internalisation
	$i18n = $this->getRegistry()->get('i18n');
	$filter_html = new Yab_Filter_Html();

	$session = $this->getSession();
	$registry = $this->getRegistry();

	// appel fichier internalisation
	$i18n = $this->getRegistry()->get('i18n');
	$filter_no_html = new Yab_Filter_NoHtml();

	$pager = new Yab_Helper_Pager($us_interventions, 'pager_synchronisation');

?>

<table class="table table-striped table-bordered table-hover table-condensed table-responsive table-panel">
    <thead>
    <tr>
        <th class="col-<?php echo $form_intervention->getElement('intervenant_id')->get('id'); ?>"
            champs="<?php echo $form_intervention->getElement('intervenant_id')->get('id'); ?>">
            <?php echo $filter_html->filter( $i18n -> say('identification')) ; ?>
        </th>
        <th class="col-<?php echo $form_intervention->getElement('type_id')->get('id'); ?>"
            champs="<?php echo $form_intervention->getElement('type_id')->get('id'); ?>">
            <?php echo $filter_html->filter( $i18n -> say('type')) ; ?>
        </th>
        <th class="col-<?php echo $form_intervention->getElement('debut')->get('id'); ?>"
            champs="<?php echo $form_intervention->getElement('debut')->get('id'); ?>">
            <?php echo $filter_no_html->filter( $i18n -> say('debut')) ; ?>
        </th>
        <th class="col-<?php echo $form_intervention->getElement('fin')->get('id'); ?>"
            champs="<?php echo $form_intervention->getElement('fin')->get('id'); ?>">
            <?php echo $filter_html->filter( $i18n -> say('fin')) ; ?>
        </th>

        <?php if ($v_action) { ?>
        <th class="col-action">
            <?php echo $filter_html->filter( $i18n -> say('action')) ; ?>
        </th>
        <?php } ?>
    </tr>
    </thead>
    <tbody>
    <?php
		foreach($us_interventions as $us_intervention) {
			$debut = $us_intervention->get('debut');
			$fin = $us_intervention->get('fin');
			$us_intervention->set('format','%d/%m/%Y');?>
    <tr class="table-relation-row">
        <td class="table-row-data">
            <a href="#" target="_blank">
                <?php echo $us_intervention->get('nom_complet'); ?>
            </a>
        </td>
        <td class="table-row-data"><?php echo $us_intervention->get('typeinterv', $filter_html); ?></td>
        <td class="table-row-data"><?php if(!empty($debut)) echo $us_intervention->get('debut', 'Date'); ?></td>
        <td class="table-row-data"><?php if(!empty($fin)) echo $us_intervention->get('fin', 'Date'); ?></td>
        <?php if ($v_action) { ?>
        <td><a href="#" class="del-row-button"><span class="glyphicon glyphicon-remove-circle danger" style="font-size: 18px;" alt="Supprimer" title="Supprimer"></span></a></td>
        <?php } ?>
        <input type="hidden" champs="<?php echo $form_intervention->getElement('intervenant_id')->get('id') ?>" value="<?php echo $us_intervention->get('intervenant_id' )?>" />
        <input type="hidden" champs="<?php echo $form_intervention->getElement('type_id')->get('id') ?>" value="<?php echo $us_intervention->get('type_id' )?>" />
        <input type="hidden" champs="<?php echo $form_intervention->getElement('debut')->get('id') ?>" value="<?php if(!empty($debut)) echo $us_intervention->get('debut', 'Date')?>" />
        <input type="hidden" champs="<?php echo $form_intervention->getElement('fin')->get('id') ?>" value="<?php if(!empty($fin)) echo $us_intervention->get('fin', 'Date')?>" />
    </tr>
    <?php } ?>
    </tbody>
</table>